Class | Fog::AWS::RDS::Real

In:

lib/fog/aws/rds.rb
lib/fog/aws/requests/rds/authorize_db_security_group_ingress.rb
lib/fog/aws/requests/rds/create_db_instance.rb
lib/fog/aws/requests/rds/create_db_instance_read_replica.rb
lib/fog/aws/requests/rds/create_db_parameter_group.rb
lib/fog/aws/requests/rds/create_db_security_group.rb
lib/fog/aws/requests/rds/create_db_snapshot.rb
lib/fog/aws/requests/rds/delete_db_instance.rb
lib/fog/aws/requests/rds/delete_db_parameter_group.rb
lib/fog/aws/requests/rds/delete_db_security_group.rb
lib/fog/aws/requests/rds/delete_db_snapshot.rb
lib/fog/aws/requests/rds/describe_db_engine_versions.rb
lib/fog/aws/requests/rds/describe_db_instances.rb
lib/fog/aws/requests/rds/describe_db_parameter_groups.rb
lib/fog/aws/requests/rds/describe_db_parameters.rb
lib/fog/aws/requests/rds/describe_db_reserved_instances.rb
lib/fog/aws/requests/rds/describe_db_security_groups.rb
lib/fog/aws/requests/rds/describe_db_snapshots.rb
lib/fog/aws/requests/rds/modify_db_instance.rb
lib/fog/aws/requests/rds/modify_db_parameter_group.rb
lib/fog/aws/requests/rds/reboot_db_instance.rb
lib/fog/aws/requests/rds/restore_db_instance_from_db_snapshot.rb
lib/fog/aws/requests/rds/restore_db_instance_to_point_in_time.rb
lib/fog/aws/requests/rds/revoke_db_security_group_ingress.rb

Parent: | Object

### Methods

authorize_db_security_group_ingress create_db_instance create_db_instance_read_replica create_db_parameter_group create_db_security_group create_db_snapshot delete_db_instance delete_db_parameter_group delete_db_security_group delete_db_snapshot describe_db_engine_versions describe_db_instances describe_db_parameter_groups describe_db_parameters describe_db_reserved_instances describe_db_security_groups describe_db_snapshots modify_db_instance modify_db_parameter_group new reboot_db_instance reload restore_db_instance_from_db_snapshot restore_db_instance_to_point_in_time revoke_db_security_group_ingress

### Included Modules

Fog::AWS::CredentialFetcher::ConnectionMethods

### Public Class methods

new(options={})

Initialize connection to ELB

#### Notes

options parameter must include values for :aws_access_key_id and :aws_secret_access_key in order to create a connection

#### Examples

      elb = ELB.new(
       :aws_access_key_id => your_aws_access_key_id,
       :aws_secret_access_key => your_aws_secret_access_key
      )

#### Parameters

- options<~Hash> - config arguments for connection. Defaults to {}.
  - region<~String> - optional region to use. For instance, ‘eu-west-1’, ‘us-east-1’ and etc.

#### Returns

- ELB object with connection to AWS.

### Public Instance methods

authorize_db_security_group_ingress(name, opts={})

authorizes a db security group ingress docs.amazonwebservices.com/AmazonRDS/latest/APIReference/index.html?API_AuthorizeDBSecurityGroupIngress.html

#### Parameters

- CIDRIP <~String> - The IP range to authorize
- DBSecurityGroupName <~String> - The name for the DB Security Group.
- EC2SecurityGroupName <~String> - Name of the EC2 Security Group to authorize.
- EC2SecurityGroupOwnerId <~String> - AWS Account Number of the owner of the security group specified in the EC2SecurityGroupName parameter. The AWS Access Key ID is not an acceptable value.

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

create_db_instance(db_name, options={})

create a db instance docs.amazonwebservices.com/AmazonRDS/latest/APIReference/API_CreateDBInstance.html

#### Parameters

- DBInstanceIdentifier <~String> - name of the db instance to modify
- AllocatedStorage <~Integer> Storage space, in GB
- AutoMinorVersionUpgrade <~Boolean> Indicates that minor version upgrades will be applied automatically to the DB Instance during the maintenance window
- AvailabilityZone <~String> The availability zone to create the instance in
- BackupRetentionPeriod <~Integer> 0-8 The number of days to retain automated backups.
- DBInstanceClass <~String> The new compute and memory capacity of the DB Instance
- DBName <~String> The name of the database to create when the DB Instance is created
- DBParameterGroupName <~String> The name of the DB Parameter Group to apply to this DB Instance
- DBSecurityGroups <~Array> A list of DB Security Groups to authorize on this DB Instance
- Engine <~String> The name of the database engine to be used for this instance.
- EngineVersion <~String> The version number of the database engine to use.
- MasterUsername <~String> The db master user
- MasterUserPassword <~String> The new password for the DB Instance master user
- MultiAZ <~Boolean> Specifies if the DB Instance is a Multi-AZ deployment
- Port <~Integer> The port number on which the database accepts connections.
- PreferredBackupWindow <~String> The daily time range during which automated backups are created if automated backups are enabled
- PreferredMaintenanceWindow <~String> The weekly time range (in UTC) during which system maintenance can occur, which may result in an outage

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

create_db_instance_read_replica(instance_identifier, source_identifier, options={})

create a read replica db instance docs.amazonwebservices.com/AmazonRDS/latest/APIReference/API_CreateDBInstanceReadReplica.html

#### Parameters

- DBInstanceIdentifier <~String> - name of the db instance to create
- SourceDBInstanceIdentifier <~String> - name of the db instance that will be the source. Must have backup retention on
- AutoMinorVersionUpgrade <~Boolean> Indicates that minor version upgrades will be applied automatically to the DB Instance during the maintenance window
- AvailabilityZone <~String> The availability zone to create the instance in
- DBInstanceClass <~String> The new compute and memory capacity of the DB Instance
- Port <~Integer> The port number on which the database accepts connections.

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

create_db_parameter_group(group_name, group_family, description)

create a database parameter group docs.amazonwebservices.com/AmazonRDS/latest/APIReference/API_CreateDBParameterGroup.html

#### Parameters

- DBParameterGroupName <~String> - name of the parameter group
- DBParameterGroupFamily <~String> - The DB parameter group family name. Current valid values: MySQL5.1 | MySQL5.5
- Description <~String> - The description for the DB Parameter Grou

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

create_db_security_group(name, description = name)

creates a db security group docs.amazonwebservices.com/AmazonRDS/latest/APIReference/index.html?API_CreateDBSecurityGroup.html

#### Parameters

- DBSecurityGroupDescription <~String> - The description for the DB Security Group
- DBSecurityGroupName <~String> - The name for the DB Security Group. This value is stored as a lowercase string. Must contain no more than 255 alphanumeric characters or hyphens. Must not be "Default".

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

create_db_snapshot(identifier, name)

creates a db snapshot docs.amazonwebservices.com/AmazonRDS/latest/APIReference/API_CreateDBSnapshot.html

#### Parameters

- DBInstanceIdentifier <~String> - ID of instance to create snapshot for
- DBSnapshotIdentifier <~String> - The identifier for the DB Snapshot. 1-255 alphanumeric or hyphen characters. Must start with a letter

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

delete_db_instance(identifier, snapshot_identifier, skip_snapshot = false)

delete a database instance docs.amazonwebservices.com/AmazonRDS/latest/APIReference/API_DeleteDBInstance.html

#### Parameters

- DBInstanceIdentifier <~String> - The DB Instance identifier for the DB Instance to be deleted.
- FinalDBSnapshotIdentifier <~String> - The DBSnapshotIdentifier of the new DBSnapshot created when SkipFinalSnapshot is set to false
- SkipFinalSnapshot <~Boolean> - Determines whether a final DB Snapshot is created before the DB Instance is deleted

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

delete_db_parameter_group(group_name)

delete a database parameter group docs.amazonwebservices.com/AmazonRDS/latest/APIReference/API_DeleteDBParameterGroup.html

#### Parameters

- DBParameterGroupName <~String> - name of the parameter group. Must not be associated with any instances

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

delete_db_security_group(name)

deletes a db security group docs.amazonwebservices.com/AmazonRDS/latest/APIReference/index.html?API_DeleteDBSecurityGroup.html

#### Parameters

- DBSecurityGroupName <~String> - The name for the DB Security Group to delete

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

delete_db_snapshot(name)

delete a database snapshot docs.amazonwebservices.com/AmazonRDS/latest/APIReference/API_DeleteDBSnapshot.html

#### Parameters

- DBSnapshotIdentifier <~String> - name of the snapshot

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

describe_db_engine_versions(opts={})
describe_db_instances(identifier=nil, opts={})

Describe all or specified load db instances docs.amazonwebservices.com/AmazonRDS/latest/APIReference/API_DescribeDBInstances.html

#### Parameters

- DBInstanceIdentifier <~String> - ID of instance to retrieve information for. if absent information for all instances is returned

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

describe_db_parameter_groups(name=nil, opts={})

This API returns a list of DBParameterGroup descriptions. If a DBParameterGroupName is specified, the list will contain only the descriptions of the specified DBParameterGroup docs.amazonwebservices.com/AmazonRDS/latest/APIReference/API_DescribeDBParameterGroups.html

#### Parameters

- DBParameterGroupName <~String> - The name of a specific database parameter group to return details for.
- Source <~String> - The parameter types to return. user | system | engine-default

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

describe_db_parameters(name, opts={})

Describe parameters from a parameter group docs.amazonwebservices.com/AmazonRDS/latest/APIReference/API_DescribeDBParameters.html

#### Parameters

- DBParameterGroupName <~String> - name of parameter group to retrieve parameters for
- Source <~String> - The parameter types to return. user | system | engine-default

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

describe_db_reserved_instances(identifier=nil, opts={})

Describe all or specified load db instances docs.amazonwebservices.com/AmazonRDS/latest/APIReference/API_DescribeDBInstances.html

#### Parameters

- DBInstanceIdentifier <~String> - ID of instance to retrieve information for. if absent information for all instances is returned

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

describe_db_security_groups(opts={})

Describe all or specified db security groups docs.amazonwebservices.com/AmazonRDS/latest/APIReference/index.html?API_DescribeDBSecurityGroups.html

#### Parameters

- DBSecurityGroupName <~String> - The name of the DB Security Group to return details for.
- Marker <~String> - An optional marker provided in the previous DescribeDBInstances request
- MaxRecords <~Integer> - Max number of records to return (between 20 and 100)

Only one of DBInstanceIdentifier or DBSnapshotIdentifier can be specified

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

describe_db_snapshots(opts={})

Describe all or specified db snapshots docs.amazonwebservices.com/AmazonRDS/latest/APIReference/API_DescribeDBSnapshots.html

#### Parameters

- DBInstanceIdentifier <~String> - ID of instance to retrieve information for. if absent information for all instances is returned
- DBSnapshotIdentifier <~String> - ID of snapshot to retrieve information for. if absent information for all snapshots is returned
- Marker <~String> - An optional marker provided in the previous DescribeDBInstances request
- MaxRecords <~Integer> - Max number of records to return (between 20 and 100)

Only one of DBInstanceIdentifier or DBSnapshotIdentifier can be specified

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

modify_db_instance(db_name, apply_immediately, options={})

modifies a database instance docs.amazonwebservices.com/AmazonRDS/latest/APIReference/API_ModifyDBInstance.html

#### Parameters

- DBInstanceIdentifier <~String> - name of the db instance to modify
- ApplyImmediately <~Boolean> - whether to apply the changes immediately or wait for the next maintenance window
- AllocatedStorage <~Integer> Storage space, in GB
- AllowMajorVersionUpgrade <~Boolean> Must be set to true if EngineVersion specifies a different major version
- AutoMinorVersionUpgrade <~Boolean> Indicates that minor version upgrades will be applied automatically to the DB Instance during the maintenance window
- BackupRetentionPeriod <~Integer> 0-8 The number of days to retain automated backups.
- DBInstanceClass <~String> The new compute and memory capacity of the DB Instanc
- DBParameterGroupName <~String> The name of the DB Parameter Group to apply to this DB Instance
- DBSecurityGroups <~Array> A list of DB Security Groups to authorize on this DB Instance
- EngineVersion <~String> The version number of the database engine to upgrade to.
- MasterUserPassword <~String> The new password for the DB Instance master user
- MultiAZ <~Boolean> Specifies if the DB Instance is a Multi-AZ deployment
- PreferredBackupWindow <~String> The daily time range during which automated backups are created if automated backups are enabled
- PreferredMaintenanceWindow <~String> The weekly time range (in UTC) during which system maintenance can occur, which may result in an outage

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

modify_db_parameter_group(group_name, parameters)

modifies a database parameter group docs.amazonwebservices.com/AmazonRDS/latest/APIReference/API_ModifyDBParameterGroup.html

#### Parameters

- DBParameterGroupName <~String> - name of the parameter group
- Parameters<~Array> - Array of up to 20 Hashes describing parameters to set
  - ‘ParameterName’<~String> - parameter name.
  - ‘ParameterValue’<~String> - new paremeter value
  - ‘ApplyMethod’<~String> - immediate | pending-reboot whether to set the parameter immediately or not (may require an instance restart)

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

reboot_db_instance(instance_identifier)

reboots a database instance docs.amazonwebservices.com/AmazonRDS/latest/APIReference/API_RebootDBInstance.html

#### Parameters

- DBInstanceIdentifier <~String> - name of the db instance to reboot

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

reload()
restore_db_instance_from_db_snapshot(snapshot_id, db_name, opts={})

Restores a DB Instance from a DB Snapshot docs.amazonwebservices.com/AmazonRDS/latest/APIReference/index.html?API_RestoreDBInstanceFromDBSnapshot.html

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

restore_db_instance_to_point_in_time(source_db_name, target_db_name, opts={})

Restores a DB Instance to a point in time docs.amazonwebservices.com/AmazonRDS/latest/APIReference/index.html?API_RestoreDBInstanceToPointInTime.html

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

revoke_db_security_group_ingress(name, opts={})

revokes a db security group ingress docs.amazonwebservices.com/AmazonRDS/latest/APIReference/index.html?API_RevokeDBSecurityGroupIngress.html

#### Parameters

- CIDRIP <~String> - The IP range to revoke
- DBSecurityGroupName <~String> - The name for the DB Security Group.
- EC2SecurityGroupName <~String> - Name of the EC2 Security Group to revoke.
- EC2SecurityGroupOwnerId <~String> - AWS Account Number of the owner of the security group specified in the EC2SecurityGroupName parameter. The AWS Access Key ID is not an acceptable value.

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

[Validate]